| OpenCV 5.0.0alpha Open Source Computer Vision

Loading...
Searching...
No Matches
Public Member Functions | Protected Attributes | List of all members
cv::DetectionBasedTracker::IDetector Class Referenceabstract

`#include <opencv2/xobjdetect/detection_based_tracker.hpp>`

Collaboration diagram for cv::DetectionBasedTracker::IDetector:

## Public Member Functions
| IDetector ()
virtual | ~IDetector ()
virtual void | detect (const cv::Mat &image, std::vector< cv::Rect > &objects)=0
cv::Size | getMaxObjectSize () const
int | getMinNeighbours ()
cv::Size | getMinObjectSize () const
float | getScaleFactor ()
void | setMaxObjectSize (const cv::Size &max)
void | setMinNeighbours (int value)
void | setMinObjectSize (const cv::Size &min)
void | setScaleFactor (float value)

## Protected Attributes
cv::Size | maxObjSize
int | minNeighbours
cv::Size | minObjSize
float | scaleFactor

## Constructor & Destructor Documentation

## ◆ IDetector()

cv::DetectionBasedTracker::IDetector::IDetector | ( |  | ) |
| inline

## ◆ ~IDetector()

virtual cv::DetectionBasedTracker::IDetector::~IDetector | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ detect()

virtual void cv::DetectionBasedTracker::IDetector::detect | ( | const cv::Mat & | image,
|  | std::vector< cv::Rect > & | objects )
| pure virtual

## ◆ getMaxObjectSize()

cv::Size cv::DetectionBasedTracker::IDetector::getMaxObjectSize | ( |  | ) | const
| inline

## ◆ getMinNeighbours()

int cv::DetectionBasedTracker::IDetector::getMinNeighbours | ( |  | ) |
| inline

## ◆ getMinObjectSize()

cv::Size cv::DetectionBasedTracker::IDetector::getMinObjectSize | ( |  | ) | const
| inline

## ◆ getScaleFactor()

float cv::DetectionBasedTracker::IDetector::getScaleFactor | ( |  | ) |
| inline

## ◆ setMaxObjectSize()

void cv::DetectionBasedTracker::IDetector::setMaxObjectSize | ( | const cv::Size & | max | ) |
| inline

## ◆ setMinNeighbours()

void cv::DetectionBasedTracker::IDetector::setMinNeighbours | ( | int | value | ) |
| inline

## ◆ setMinObjectSize()

void cv::DetectionBasedTracker::IDetector::setMinObjectSize | ( | const cv::Size & | min | ) |
| inline

## ◆ setScaleFactor()

void cv::DetectionBasedTracker::IDetector::setScaleFactor | ( | float | value | ) |
| inline

## Member Data Documentation

## ◆ maxObjSize

cv::Size cv::DetectionBasedTracker::IDetector::maxObjSize
| protected

## ◆ minNeighbours

int cv::DetectionBasedTracker::IDetector::minNeighbours
| protected

## ◆ minObjSize

cv::Size cv::DetectionBasedTracker::IDetector::minObjSize
| protected

## ◆ scaleFactor

float cv::DetectionBasedTracker::IDetector::scaleFactor
| protected

The documentation for this class was generated from the following file:

- opencv2/xobjdetect/detection_based_tracker.hpp